#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "emk.h"

static void
usage(int argc, char *argv[])
{
	printf("%s - simple build system and scripting language\n", argv[0]);
	printf("usage: %s [-h] [-v]\n", argv[0]);
	printf("\n");
	printf("%s {-h}		Show this message\n", argv[0]);
	printf("%s {-v}		Show the current version\n", argv[0]);
	printf("\n");
	printf("When no option is passed, %s run in the working directory.\n", argv[0]);
	printf("\n");
	printf("Emk is free software.\n");
	printf("See the GNU GPL version 3 for details.\n");
}

static void
usage_small(int argc, char *argv[])
{
	printf("usage: %s [-h] [-v]\n", argv[0]);
}

int
main(int argc, char *argv[])
{
	int opt;

	while ((opt = getopt(argc,argv, ":if:hv")) != -1) {
		switch(opt) {
		case 'h':
			usage(argc, argv);
			exit(0);
			break;
		case 'v':
			printf(EMK_VERSION "\n");
			exit(0);
			break;
		case '?':
			usage_small(argc,argv);
			exit(1);
			break;
		}
	}

	checkForFiles();
	checkForRoot();
	includeConfig();

	return 0;
}
